import common from '../../utils/util';
import main from '../../utils/main';

const app = getApp();


Page({
  data: {
    ImagePath: app.globalData.uploadImageUrl,
  },
  onLoad: function (options) {
    var that = this;
    
    that.setData({
      Containnerheight: main.getWindowHeight(),
    });

    wx.showLoading({
      title: '请稍候',
    });
    var userid=app.globalData.userInfo.UserID;
    main.getData("GetAnnualReport?UserID=" + userid, function (data) {
      wx.hideLoading();
      if (data){
        that.setData({
          Data:data,
        });
      }
    });
  },
  goto: function (e) {
    var url = e.currentTarget.dataset.url;
    
    wx.navigateTo({
      url: url,
    });
  },
  onShareAppMessage: function () {
    return {
      title: app.globalData.ShareTitle,
      path: app.globalData.SharePath + '?LessonID=all&UserID=' + app.globalData.userInfo.UserID,
      imageUrl: app.globalData.ShareImage,
    }
  },
})
